Skip to main content
GET
/
transforms
/
{transform_id}
/
checkpoints
Get Transform Checkpoints
curl --request GET \
  --url https://api.streamkap.com/transforms/{transform_id}/checkpoints \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.streamkap.com/transforms/{transform_id}/checkpoints"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.streamkap.com/transforms/{transform_id}/checkpoints', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "job_id": "<string>",
  "counts": {},
  "summary": {},
  "latest": {
    "id": 123,
    "status": "<string>",
    "is_savepoint": true,
    "trigger_timestamp": 123,
    "latest_ack_timestamp": 123,
    "state_size": 123,
    "end_to_end_duration": 123,
    "alignment_buffered": 123,
    "num_subtasks": 123,
    "num_acknowledged_subtasks": 123
  },
  "history": [],
  "operator_breakdown": []
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

transform_id
string
required

Query Parameters

include_operator_breakdown
boolean
default:true

Response

TransformCheckpointsInfo · object | null

Successful Response

Checkpoint statistics and latest checkpoint information for a transform.

job_id
string
required
counts
Counts · object
required
summary
Summary · object
required
latest
TransformCheckpointHistory · object | null

Individual checkpoint history entry.

history
TransformCheckpointHistory · object[]
operator_breakdown
TransformOperatorState · object[]